[osg-users] Opening a GL3 context on MS Windows

John Price john.price00 at gmail.com
Tue Nov 3 17:56:45 PST 2009


Hi,

I found the following on the NVIDIA developers site and thought it might be what you are looking for.

1) How do I start using OpenGL 3 in my code base?
In order to use OpenGL 3.0 and later versions, an application should "opt in" to use these versions. There is a new context creation call CreateContextAttribsARB (for WGL and GLX defined in the WGL/GLX_ARB_create_context extensions) that you should use in order to request a context that supports OpenGL 3.0, 3.1 or 3.2.

For OpenGL 3.2, and later versions, you additionally will have to indicate what profile you want the 3.2 context to support. Either the "Core" or the "Compatibility" profile.


Thank you!

Cheers,
John

------------------
Read this topic online here:
http://forum.openscenegraph.org/viewtopic.php?p=19136#19136







More information about the osg-users mailing list